## kde-style-kvantum 0.10.3

=== CMakeLists.txt ===
project(kvantum)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions (-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT4 "Building Qt4 theme." OFF)

add_subdirectory(style)
if(NOT ENABLE_QT4)
  add_subdirectory(kvantumpreview)
  add_subdirectory(kvantummanager)
  add_subdirectory(themes)
endif()

=== kvantummanager/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)


set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
#get_filename_component(PARENT_DIR ${CMAKE_SOURCE_DIR} DIRECTORY)

set(KM_SOURCES
    main.cpp
    KvantumManager.cpp)

#set(KM_UI kvantummanager.ui)

set(KM_RESOURCES kvantummanager.qrc)

set(DESKTOP_FILE data/kvantummanager.desktop)

#qt5_wrap_ui(KM_UIS_H ${KM_UI})
qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"

add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE})
target_link_libraries(kvantummanager Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${CMAKE_SOURCE_DIR}/kvantumpreview/kvantum.svg DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== kvantumpreview/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)


set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

set(KP_SOURCES main.cpp)
set(KP_UI KvantumPreviewBase.ui)
set(KP_RESOURCES KvantumPreviewResources.qrc)


qt5_wrap_ui(KP_UIS_H ${KP_UI})
qt5_wrap_cpp(KP_HEADER KvantumPreview.h) # needed by "main.cpp"

add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE})
target_link_libraries(kvantumpreview Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantumpreview RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== style/CMakeLists.txt ===
if(NOT ENABLE_QT4)
  find_package (Qt5Widgets REQUIRED)
  find_package (Qt5Gui REQUIRED)
  find_package (Qt5Core REQUIRED)
  find_package (Qt5Svg REQUIRED)
  find_package (Qt5X11Extras REQUIRED)
else()
  find_package(Qt4 4.8.7 REQUIRED)

include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
endif()
find_package (X11)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(NOT ENABLE_QT4)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(kvantum_SOURCES
    Kvantum.cpp
    KvantumPlugin.cpp
    shortcuthandler.cpp
    blur/blurhelper.cpp
    drag/windowmanager.cpp
    drag/x11wmmove.cpp
    themeconfig/ThemeConfig.cpp)

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)
if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(NOT ENABLE_QT4)
  qt5_add_resources(RESOURCES ${kvantum_RESOURCES})
else()
  qt4_add_resources(RESOURCES ${kvantum_RESOURCES})
endif()

add_library(kvantum SHARED ${kvantum_SOURCES} ${RESOURCES})

if(NOT ENABLE_QT4)
 target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                               ${Qt5Gui_LIBRARIES}
                               ${Qt5Widgets_LIBRARIES}
                               ${Qt5Svg_LIBRARIES}
                               ${Qt5X11Extras_LIBRARIES}
                               ${X11_LIBRARIES})
else()
 target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                               ${QT_QTGUI_LIBRARY}
                               ${QT_QTSVG_LIBRARY}
                               ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})

=== debian/changelog ===
kde-style-kvantum (0.10.3-1mx15+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Choose the correct arrow for toolbar and menubar extension buttons.
      Unfortunately, the arrows can have no state other than normal and
      disabled (a Qt bug).
    - No state other than normal is needed for toolbutton flat arrows.
    - Added yet another toolbutton size workaround when the button text is
      too long.
    - Added the hacking key "no_selection_tint" to Kvantum Manager.
    - Support shadow for groupbox label.
    - Added support for blurring any hard-coded translucency (and not just
      Konsole) with kwin.
    - Added support for app specific themes (to Kvantum Manager).
    - Added a dark variant of KvArc (KvArcDark).
    - Added a key for overlapping the active tab.
    - Added a key to disable frame expansion for inactive tabs.
    - Added a key for scrollable menus (to Kvantum Manager).
    - Draw all toolbuttons auto-raised inside toolbars.
    - Add hover effect only selectively.
    - Added CMake support (while qmake is kept).
    - Added two keys for toolbar spacing.
    - Added a key for submenu delay (to Kvantum Manager). It can be used to
      show submenus only by clicking.
  * debian/rules: force use of the qmake build.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Jan 2017 08:54:36 -0800

kde-style-kvantum (0.10.2-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added a key for drawing scrollbars inside the view frame (thanks to Craig
      Drummond).
    - Draw the background of scrollbar and scroll corner area appropriately when
      the scrollbar is inside the view frame.
    - Consider digiKam's DAbstractSliderSpinBox as a KisSliderSpinBox.
    - Added a key for drawing combo popups as menu popups (thanks to Craig).
    - Expand x11drag option to allow finer control (thanks to Craig).
    - Allow bold and italic GroupBox titles (thanks to Craig).
    - Added an Arc like theme.
    - Added a key for drawing tree branch lines (to Kvantum Manager).
    - Added a key for setting the width of horizontal spin buttons (to Kvantum
      Manager).
    - Global minimum width for push buttons.
    - Center text+icon in push buttons.
    - Added a key for layout margins (thanks to Craig).
    - Support monochrome icon sets that reverse the color of selected icons.
    - Added a hacking key for not tinting selected icons.
    - Added a key for frame patterns.
    - Added support for focus rectangle to comboboxes.
    - Added a key to respect some DE settings (thanks to Craig).
    - Added a theme inspired by Ubuntu's Ambiance.
    - Added a fair copy of Ubuntu's Ambiance.
    - Added an optional section for styling toolbar buttons.
    - Added an optional key for distinguishing between expanded and usual
      frames.
  * Add qt4_and_hardening.patch.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 03 Oct 2016 17:09:47 -0700

kde-style-kvantum (0.10.1-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - No label spacing for checkboxes and radiobuttons that have neither text
      nor icon. 
    - Added a dark cyan theme.
    - State change animation for line-edits and also for spin and combo boxes
      when they're drawn as line- edits.
    - Quietened compiler warnings with Qt-5.7.
    - Use "const char*" instead of "QString" wherever appropriate.
    - Don't draw the panel of a dock title button twice.
    - Fixed RTL view items.
    - Draw text based on its direction, not based on the layout direction.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 04 Sep 2016 16:08:23 -0700

kde-style-kvantum (0.10.0-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added optional state change animation for buttons and non-editable
      comboboxes.
    - Draw flat pushbuttons like auto-raised toolbuttons.
    - A workaround for QtWebEngine's selection text issue.
    - Added an Oxygen-like theme.
    - Don't force size grip on a dialog that doesn't have a layout or its layout
      has a size constraint of "SetFixedSize" or "SetNoConstraint".
    - Consider QML anchoring, because of which, some widgets can't have frame
      expansion, tiling pattern or even interior gradient.
    - No interior and frame expansion when the label of a group box is drawn on
      its top frame.
    - Added support for expanded frame sizes.
    - Remember theme specifications instead of getting theme repeatedly! This can
      save considerable CPU usage when a GUI is being updated quickly and
      continuously.
    - Added two themes to the collection.
    - Deal with QML peculiarities.
    - Added support for separate checkboxes and radiobuttons on menus.
    - Fall back to the normal state if an object for another state isn't found.
    - Draw the focus frame around widgets with keyboard focus if it's enabled in
      the theme (it's disabled in the default theme).
    - Added a key for disabling pushbutton contents shift.
    - Simplified the logic for tab separators and removed "joined_active_tab".
    - Added a hacking key for merging PCManFM-Qt's folder-view with its 
      surroundings (to Kvantum Manager).
    - Added a dark version of KvSimplicity (KvSimplicityDark).
  * Enable hardening=+all when building.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sun, 31 Jul 2016 09:34:44 -0700

kde-style-kvantum (0.9.6-1mx150+1) mx; urgency=medium

  * New upstream release, build for MX 15:
    - Added support for default button interior.
    - Show menu titles in the toggled and not pressed state.
    - Added an option for putting the group-box label above the frame.
    - Removed scrollbar add-line and sub-line frame and interior.
    - Add a key to join the active tab to its (inactive) adjacent tab(s). Also
      added support for tab separators.
    - Added a key for drawing spin indicators inside the spin line-edit.


=== debian/control ===
Source: kde-style-kvantum
Section: kde
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               libqt4-dev,
               libxext-dev
Standards-Version: 3.9.6
Homepage: https://github.com/tsujan/Kvantum

Package: kde-style-kvantum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SVG-based widget style for Qt4 and KDE 4
 Kvantum is a window decoration and widget theme-engine for Qt4 and KDE 4 with
 an emphasis on elegance, usability and practicality.
 .
 This package contains the Qt4 and KDE widget style of Kvantum, along with a
 default dark theme, inspired by the default theme of Enlightenment.
 Creation of realistic themes like that for KDE was the first reason to make
 Kvantum, but it allows themes with very different looks and feels, whether
 photorealistic or cartoonish, 3D or flat, embellished or minimalistic, or
 something in between.
 .
 Also included is Kvantum Manager for managing Kvantum themes and settings.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	qmake-qt4 kvantum.pro

%:
	dh $@ --parallel
